> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# removeCompanyBenefits

> 
The `removeCompanyBenefits` API removes company-wide benefit plans.

### What it does:

- Terminates company-level benefit offerings for specified benefit types
- Removes the option for employee enrollment in the terminated benefit

### Notes:

- Removing company benefits may affect employees currently enrolled in those benefits



## OpenAPI

````yaml post /benefits/removeCompanyBenefits
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /benefits/removeCompanyBenefits:
    post:
      tags: []
      summary: removeCompanyBenefits
      description: >-

        The `removeCompanyBenefits` API removes company-wide benefit plans.


        ### What it does:


        - Terminates company-level benefit offerings for specified benefit types

        - Removes the option for employee enrollment in the terminated benefit


        ### Notes:


        - Removing company benefits may affect employees currently enrolled in
        those benefits
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: updateUserBankAccount
                  enum:
                    - updateUserBankAccount
                  example: updateUserBankAccount
                benefitCompanyElection:
                  type: object
                  properties:
                    companyId:
                      type: string
                      format: uuid
                    benefitType:
                      type: string
                      maxLength: 40
                    effectiveMonth:
                      type: string
                      maxLength: 25
                  required:
                    - companyId
                    - benefitType
                    - effectiveMonth
              required:
                - method
                - benefitCompanyElection
            example:
              method: removeCompanyBenefits
              benefitCompanyElection:
                companyId: 9C952CC4-7652-4E2A-9303-912D876057AE
                benefitType: Dental
                effectiveMonth: March 2025
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  Benefits:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                      benefitType:
                        type: string
                    required:
                      - status
                      - benefitType
                    x--orders:
                      - CompanyFundingSourceEntityID
                      - Status
                      - Message
                required:
                  - Benefits
                x--orders:
                  - CompanyFundingSourceEntity
              examples:
                '1':
                  summary: Success
                  value:
                    Benefits:
                      status: Ready
                      message: The Benefits for Dental has been removed successfully.
                      benefitType: Dental
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: Invalid CompanyId
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid CompanyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````